import request from '@/utils/request'
import { URL } from '@/config'

export function getSameCityTransport(params) {
  return request({
    url: URL.shop.store.sameCityTransport.getSameCityTransport,
    method: 'get',
    params,
  })
}

export function delectArea(params) {
  return request({
    url: URL.shop.store.sameCityTransport.delectArea,
    method: 'post',
    params,
  })
}

export function saveSameCityTransport(params) {
  params = JSON.stringify(params)
  return request({
    url: URL.shop.store.sameCityTransport.saveSameCityTransport,
    method: 'post',
    headers: {
      'Content-Type': 'application/json',
    },
    data: params,
  })
}

export function getSFTypeList(params) {
  return request({
    url: URL.shop.store.sameCityTransport.getSFTypeList,
    method: 'get',
    params,
  })
}
